Name:           python-librosa
Version:        0.5.1
Release:        6%{?dist}
Summary:        A Python package for music and audio analysis

# ISC is licence of package
# CC-BY is licence of ogg file, which is installed by the package
License:        ISC and CC-BY

URL:            https://github.com/bmcfee/librosa
Source0:        https://github.com/bmcfee/librosa/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-numpydoc
BuildRequires:  python3-matplotlib
BuildRequires:  python3-seaborn
BuildRequires:  python3-joblib
BuildRequires:  python3-decorator
BuildRequires:  python3-audioread
BuildRequires:  python3-scikit-learn

%description
LibROSA is a Python package for music and audio analysis.
It provides the building blocks necessary to create music
information retrieval systems.

%package -n python2-librosa
Summary: A Python 2 package for music and audio analysis
%{?python_provide:%python_provide python2-librosa}

Requires:       python2-audioread
Requires:       python2-numpy
Requires:       python2-scipy
Requires:       python2-scikit-learn
Requires:       python2-matplotlib
Requires:       python2-joblib
Requires:       python2-decorator
Requires:       python2-six
Requires:       python2-scikit-learn
Suggests:       %{name}-doc = %{version}-%{release}

%description -n python2-librosa
LibROSA is a Python 2 package for music and audio analysis.
It provides the building blocks necessary to create music
information retrieval systems.

%package -n python3-librosa
Summary: A Python 3 package for music and audio analysis
%{?python_provide:%python_provide python3-librosa}

Requires:       python3-audioread
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-scikit-learn
Requires:       python3-matplotlib
Requires:       python3-joblib
Requires:       python3-decorator
Requires:       python3-six
Requires:       python3-scikit-learn
Suggests:       %{name}-doc = %{version}-%{release}

%description -n python3-librosa
LibROSA is a Python 3 package for music and audio analysis.
It provides the building blocks necessary to create music
information retrieval systems.

%package doc
Summary: Documentation for python-librosa package

%description doc
Documentation for LibROSA, a Python package for music and
audio analysis. It provides the building blocks necessary
to create music information retrieval systems.

%prep
%setup -q -n librosa-%{version}

# Find all *.py files with the exact line '#!/usr/bin/env python' and for each
# such file replace the line with nothing (if it's the 1st line).
grep -ilrx librosa -e '#!/usr/bin/env python' --include '*.py'| xargs sed -i '1s\^#!/usr/bin/env python$\\'

# The building of documentation takes quite long time. Please be patient. It is nothing to worry about.

cd docs/
make SPHINXBUILD=sphinx-build-3 html

# remove hidden file:
rm _build/html/.buildinfo

# remove fonts in documentation:
rm -r _build/html/_static/fonts

cd ..


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-librosa
%doc README.md AUTHORS.md CONTRIBUTING.md
%license LICENSE.md
%{python2_sitelib}/librosa/
%{python2_sitelib}/librosa-%{version}-py%{python2_version}.egg-info

%files -n python3-librosa
%doc README.md AUTHORS.md CONTRIBUTING.md
%license LICENSE.md
%{python3_sitelib}/librosa/
%{python3_sitelib}/librosa-%{version}-py%{python3_version}.egg-info

%files doc
%doc README.md AUTHORS.md CONTRIBUTING.md
%license LICENSE.md
%doc docs/_build/html

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.1-5
- Rebuilt for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.1-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.1-2
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Mon Oct 16 2017 Lumír Balhar <lbalhar@redhat.com> 0.5.1-1
- New upstream version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.2-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Apr 8 2016 Dominika Krejci <dkrejci@redhat.com> - 0.4.2-1
- initial release

